Package org.jboss.classfilewriter.constpool

## Enum ConstPoolEntryType

- java.lang.Object
- - java.lang.Enum<ConstPoolEntryType>
  - - org.jboss.classfilewriter.constpool.ConstPoolEntryType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ConstPoolEntryType>`

    public enum ConstPoolEntryType
    extends java.lang.Enum<ConstPoolEntryType>

### Enum Constant Summary

Enum Constants
`CLASS`
`DOUBLE`
`FIELDREF`
`FLOAT`
`INTEGER`
`INTERFACE_METHODREF`
`LONG`
`METHODREF`
`NAME_AND_TYPE`
`STRING`
`UTF8`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getSlots()` The number of spaces this takes up in the const pool
`int` `getTag()`
`static ConstPoolEntryType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConstPoolEntryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLASS

    public static final ConstPoolEntryType CLASS

#### FIELDREF

    public static final ConstPoolEntryType FIELDREF

#### METHODREF

    public static final ConstPoolEntryType METHODREF

#### INTERFACE_METHODREF

    public static final ConstPoolEntryType INTERFACE_METHODREF

#### STRING

    public static final ConstPoolEntryType STRING

#### INTEGER

    public static final ConstPoolEntryType INTEGER

#### FLOAT

    public static final ConstPoolEntryType FLOAT

#### LONG

    public static final ConstPoolEntryType LONG

#### DOUBLE

    public static final ConstPoolEntryType DOUBLE

#### NAME_AND_TYPE

    public static final ConstPoolEntryType NAME_AND_TYPE

#### UTF8

    public static final ConstPoolEntryType UTF8

### Method Detail

#### values

    public static ConstPoolEntryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConstPoolEntryType c : ConstPoolEntryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConstPoolEntryType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getTag

    public int getTag()

#### getSlots

    public int getSlots()

The number of spaces this takes up in the const pool